自 2026 年 4 月 20 日起,BigLake 已改名為 Lakehouse。BigLake Metastore 現在稱為 Lakehouse 執行階段目錄。湖倉 API、用戶端程式庫、CLI 指令和 IAM 名稱維持不變,仍會參照 BigLake。
Google 會運用 AI 技術將內容翻譯成你偏好的語言,但可能會出錯。
Method: hive.v1.projects.catalogs.databases.tables.partitions.list
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
選擇端點:
全球 asia-south1 asia-south2 europe-west1 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central2 northamerica-northeast1 northamerica-northeast2 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4
GET https://biglake.googleapis.com/hive/v1/{parent=projects/*/catalogs/*/databases/*/tables/*}/partitions:list
這些網址使用 gRPC 轉碼 語法。
路徑參數
參數
parent
string
這是必要旗標,參照這些分區所屬的資料表,格式為 projects/{project}/catalogs/{catalogs}/databases/{database}/tables/{table}。
查詢參數
參數
filter
string
選用。SQL 文字篩選陳述式,類似於查詢中的 WHERE 子句。僅支援單列運算式。不支援匯總函式。
範例:* "int_field > 5" * "date_field = CAST('2014-9-27' as DATE)" * "nullable_field is not NULL" * "st_equals(geo_field, st_geofromtext("POINT(2, 2)"))" * "numeric_field BETWEEN 1.0 AND 5.0"
長度上限為 1 MB。
回應主體
partitions.list 的回應訊息。
如果成功,回應主體會含有以下結構的資料:
JSON 表示法
{
"partitions" : [
{
object (Partition )
}
]
}
欄位
partitions[]
object (Partition )
僅供輸出。分區清單。
授權範圍
需要下列其中一種 OAuth 範圍:
https://www.googleapis.com/auth/bigquery
https://www.googleapis.com/auth/cloud-platform
詳情請參閱Authentication Overview 。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權 ,程式碼範例則為阿帕契 2.0 授權 。詳情請參閱《Google Developers 網站政策 》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-10-07 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["難以理解","hardToUnderstand","thumb-down"],["資訊或程式碼範例有誤","incorrectInformationOrSampleCode","thumb-down"],["缺少我需要的資訊/範例","missingTheInformationSamplesINeed","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-10-07 (世界標準時間)。"],[],[]]